com.comtrade.ecm.engine.datatypes

## Class TestDateTime

- java.lang.Object
- - com.comtrade.ecm.engine.datatypes.TestDateTime

-     public class TestDateTime
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestDateTime()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compareToDate()`
    `void` | `compareToDateTime()`
    `void` | `createFromDate()`
    `void` | `createFromDateAndTime()`
    `void` | `createFromDateTime()`
    `void` | `createFromJavaUtilDate()`
    `void` | `createFromLocalDate()`
    `void` | `createFromLocalDateTime()`
    `void` | `equalsToDateTime()`
    `void` | `testConverions()`
    `void` | `testHashCode()`
    `void` | `testToString()`
    `void` | `testToStringWithDateFormatter()`
    `void` | `testToStringWithLocale()`
    `void` | `testToStringWithString()`
    `void` | `toEndOfDay()`
    `void` | `toEndOfYear()`
    `void` | `toStartOfDay()`
    `void` | `toStartOfYear()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestDateTime

          public TestDateTime()

  - ### Method Detail

    - #### createFromLocalDateTime

          public void createFromLocalDateTime()

    - #### createFromDateAndTime

          public void createFromDateAndTime()

    - #### createFromDate

          public void createFromDate()

    - #### createFromLocalDate

          public void createFromLocalDate()

    - #### createFromDateTime

          public void createFromDateTime()

    - #### createFromJavaUtilDate

          public void createFromJavaUtilDate()

    - #### toStartOfYear

          public void toStartOfYear()

    - #### toEndOfYear

          public void toEndOfYear()

    - #### toStartOfDay

          public void toStartOfDay()

    - #### toEndOfDay

          public void toEndOfDay()

    - #### compareToDate

          public void compareToDate()

    - #### compareToDateTime

          public void compareToDateTime()

    - #### equalsToDateTime

          public void equalsToDateTime()

    - #### testHashCode

          public void testHashCode()

    - #### testToString

          public void testToString()

    - #### testToStringWithString

          public void testToStringWithString()

    - #### testToStringWithLocale

          public void testToStringWithLocale()

    - #### testToStringWithDateFormatter

          public void testToStringWithDateFormatter()

    - #### testConverions

          public void testConverions()